EDQUOTA(8)

NAZWA
edquota - edycja kwot dla użytkowników

SKŁADNIA
edquota [ -p wzorcowy-użytkownik ] [ -u | -g ] [ -rm ] [ -F nazwa-formatu ] [ -f system-plików ] użytkownik...

edquota [ -u | -g ] [ -F nazwa-formatu ] [ -f system-plików ] -t

edquota [ -u | -g ] [ -F nazwa-formatu ] [ -f system-plików ] -T nazwa-użytkownika | nazwa-grupy...

OPIS
edquota jest edytorem kwot. W wierszu polecenia można podać jednego lub więcej użytkowników lub grup. Dla każdego użytkownika lub grupy tworzony jest plik tymczasowy z określonymi w postaci ASCII obecnymi ograniczeniami kwot dyskowych użytkownika lub grupy. Po jego utworzeniu uruchamiany jest edytor. Można wówczas zmieniać kwoty, dodawać nowe, itd. Ustawienie wartości zerowej kwoty oznacza, że nie zostanie narzucona żadna kwota.

Użytkownikom wolno przekraczać ograniczenie miękkie na określony dla danego systemu plików czas ulgi. Po upłynięciu czasu ulgi, miękkie ograniczenie staje się twardym ograniczeniem.

Informacje o aktualnym zużyciu znajdujące się w pliku pełnią rolę informacyjną. Zmienić można jedynie ograniczenia twarde i miękkie.

Po wyjściu z edytora, edquota odczytuje plik tymczasowy i modyfikuje binarne pliki kwot, aby odzwierciedlić wprowadzone zmiany.

Wywoływanym edytorem jest editor(1), chyba że zdefiniowano zmienną środowiskową EDITOR lub VISUAL , które wskazują na coś innego.

Zmiany kwot może dokonywać tylko superużytkownik.

OPCJE

-r, --remote
    Zmiana również kwot zdalnych za pomocą rpc.rquotad na zdalnym serwerze. Opcja ta dostępna jest jedynie, jeśli narzędzia quota zostały skompilowane z włączoną obsługą ustawiania udziałów poprzez RPC. Opcja -n jest jej równoważna i wspierana jedynie dla zachowania zgodności z wcześniejszymi wersjami.

-m, --no-mixed-pathnames
    Obecnie, nazwy ścieżkowe punktów montowania NFSv4 są wysyłane bez początkowego ukośnika w ścieżce. rpc.rquotad używa tego do rozpoznawania montowań NFSv4 i prawidłowo poprzedza ścieżkę pseudokorzeniem systemu plików NFS. Jeśli poda się tę opcję, edquota będzie zawsze wysyłać ścieżki z początkowym ukośnikiem. Jest to przydatne w celach kompatybilności, lecz proszę pamiętać, że udziały poprzez RPC przestaną działać po tym, jak zacznie się używać nowego rpc.rquotad.

-u, --user
    Edycja kwot użytkowników. Jest to zachowanie domyślne.

-g, --group
    Edycja kwot grup.

-p, --prototype=wzorcowy-użytkownik
    Powiela ustawienia kwot użytkownika wzorcowego dla wszystkich podanych użytkowników. Jest to normalny mechanizm inicjowania udziałów dla grup użytkowników.

--always-resolve
    Zawsze stara się tłumaczyć nazwę użytkownika lub grupy na UID lub GID, nawet jeśli nazwa składa się z samych cyfr.

-F, --format=nazwa-formatu
    Zmienia kwoty według podanego formatu (tzn. nie jest wykonywana automatyczne wykrywanie formatu). Dozwolone są następujące nazwy formatów: vfsold - pierwotny format udziałów z 16-bitowymi UID-ami/GID-ami, vfsv0 - format udziałów z 32-bitowymi UID-ami/GID-ami, 64-bitowe użycie przestrzeni, 32-bitowe użycie i-węzłów oraz limity, vfsv1 - format udziałów z 64-bitowymi limitami i użyciem, rpc - udziały poprzez NFS, xfs - udziały w systemie plików XFS.

-f, --filesystem system-plików
    Przeprowadza zadane operacje wyłącznie na podanym systemie plików (domyślnym zachowaniem jest przeprowadzenie ich na wszystkich systemach plików obsługujących kwoty).

-t, --edit-period
    Zmiana czasów ważności miękkich ograniczeń dla poszczególnych systemów plików. W starym formacie kwot, jeśli czasy ważności wynoszą zero, używane są domyślne ograniczenia z <linux/quota.h>. W nowym formacie kwot, wartości muszą zostać podane (nie ma wartości domyślnych, ustawianych przez jądro). Rozumiane są następujące jednostki czasu: seconds (sekundy), minutes (minuty), hours (godziny) i days (dni). Czasy ważności są wypisywane w możliwie największych jednostkach takich, że wyrażona w nich wartość jest większa lub równa jedności.

-T, --edit-times
    Edytuje czasy użytkownika/grupy, gdy wymuszony jest miękki limit. Prawidłowe wartości to: "unset" lub liczba i jednostka. Jednostki są takie same jak przy opcji -t.

PLIKI
aquota.user lub aquota.group
    pliki kwot dyskowych umieszczone w głównym katalogu systemu plików (wersja 2 kwot, systemy plików inne niż XFS)
quota.user lub quota.group
    pliki kwot dyskowych umieszczone w głównym katalogu systemu plików (wersja 1 kwot, systemy plików inne niż XFS)
/etc/mtab
    domyślne systemy plików

ZOBACZ TAKŻE
quota(1), editor(1), quotactl(2), quotacheck(8), quotaon(8), repquota(8), setquota(8)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl>, Andrzej M. Krzysztofowicz (PTM) <ankry@green.mf.pg.gda.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 4.01 oryginału.